Bug 85767 - SIDEBAR: Left and right alignment buttons need to be swapped in RTL
Summary: SIDEBAR: Left and right alignment buttons need to be swapped in RTL
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
QA Contact:
URL:
Whiteboard: target:5.1.0 target:5.0.4 target:5.1.0.1
Keywords: text:rtl
Depends on:
Blocks: RTL-CTL Sidebar-Properties
  Show dependency treegraph
 
Reported: 2014-11-02 18:00 UTC by Yousuf Philips (jay)
Modified: 2016-10-24 15:13 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot (86.83 KB, image/png)
2014-11-02 18:00 UTC, Yousuf Philips (jay)
Details
Another example (also with directonality buttons) (86.80 KB, image/png)
2015-09-25 15:10 UTC, Lior Kaplan
Details
non-fixed items (43.25 KB, image/png)
2015-11-01 19:47 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-11-02 18:00:12 UTC
Created attachment 108803 [details]
screenshot

Open the sidebar in an RTL language like arabic and the left and right alignment buttons arent in the right place, as they are in the toolbar.
Comment 1 Maxim Monastirsky 2014-11-02 18:25:36 UTC
Confirmed with master (498a40f33908791c3b2409a1ccb4b3c81ea1e032) under Fedora 20.
Comment 2 Maxim Monastirsky 2014-11-02 18:42:55 UTC
Fixed for the toolbar in http://cgit.freedesktop.org/libreoffice/core/commit/?id=2fd93f19cf6c1ce808214c659f5a4c4b10c0c441. The commands that need swapping were simply hard-coded in the source.
Comment 3 Yousuf Philips (jay) 2014-11-02 20:02:07 UTC
In addition to the alignment buttons being swapped, there are a number of other icons and buttons that need to be swapped or their icons flipped.

LTR/RTL icons: swap
Bullets/Numbering: flip
Paragraph Background Color: flip
Paragraph/Line Spacing: flip (increase spacing, decrease spacing, line spacing)
Indent buttons: swap and flip (increase indent, decrease indent, hanging indent)
Indent fields: swap (before text indent, after text indent, first line indent)
Comment 4 Yousuf Philips (jay) 2014-11-02 20:35:16 UTC
Made a mistake, the indent buttons only need a flip. :D
Comment 5 Lior Kaplan 2015-09-25 15:10:46 UTC
Created attachment 119023 [details]
Another example (also with directonality buttons)

This is also relevant for the directionality buttons, not only alignment buttons.
Comment 6 Commit Notification 2015-10-20 18:51:11 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07f75f6e645eca4825541f57e9d5e9479a17c559

tdf#85767: Make also sidebar toolbox item order RTL-sensitive

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Lior Kaplan 2015-11-01 17:27:31 UTC
Verified fix with a build from master. Thanks Katarina.

Can we cherry-pick this to 5.0.x ?
Comment 8 Yousuf Philips (jay) 2015-11-01 19:46:36 UTC
I've cherry-picked for 5.0.
Comment 9 Yousuf Philips (jay) 2015-11-01 19:47:25 UTC
Created attachment 120172 [details]
non-fixed items

Reopened as the bug hasnt been fully resolved - a number of images have to be flipped horizontally when RTL is enabled similar to how they are flipped in the toolbars.
Comment 10 Lior Kaplan 2015-11-01 19:56:18 UTC
The bug mentioned only the alignment buttons (see the bug title and your first screenshot), and that's what been fixed. The bug should be resolved.

Please open another issue for the other buttons. I've already asked the developer if that can be done as well (as it already implemented for the toolbar, but not the sidebar).
Comment 11 Commit Notification 2015-11-02 12:21:11 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a5963b2f1b108db4f0089f41db74b673ba038af&h=libreoffice-5-0

tdf#85767: Make also sidebar toolbox item order RTL-sensitive

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Samuel Mehrbrodt (CIB) 2015-11-30 07:06:37 UTC
Working on this.
Comment 13 Samuel Mehrbrodt (CIB) 2015-12-08 09:05:57 UTC
Fixed with
http://cgit.freedesktop.org/libreoffice/core/commit/?id=ac97f32307feb488c86d6fa962258fe79320d31b

Not sure whether this should be backported, as this includes some rework (also http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5fe98905deac6de4f9e76a17097ce83fe381ac3 is required).
Comment 14 Yousuf Philips (jay) 2015-12-08 09:36:21 UTC
(In reply to Samuel Mehrbrodt from comment #13)
> Fixed with
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=ac97f32307feb488c86d6fa962258fe79320d31b
> 
> Not sure whether this should be backported, as this includes some rework
> (also
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=c5fe98905deac6de4f9e76a17097ce83fe381ac3 is required).

I think it should be fine to have it in 5.1, so add the patch to gerrit and see what others feel about it. ;D
Comment 15 Samuel Mehrbrodt (CIB) 2015-12-08 09:55:28 UTC
(In reply to Yousuf (Jay) Philips from comment #14)
> I think it should be fine to have it in 5.1, so add the patch to gerrit and
> see what others feel about it. ;D

Ok, but first I'd like someone to confirm that it actually works.
Comment 16 Maxim Monastirsky 2015-12-08 10:52:47 UTC
(In reply to Samuel Mehrbrodt from comment #15)
> Ok, but first I'd like someone to confirm that it actually works.
Seems to work for me.
Comment 17 Lior Kaplan 2015-12-10 19:50:42 UTC
Verified fix on master (ac97f323). Thanks Samuel.
Comment 18 Commit Notification 2015-12-11 10:30:41 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df9e93750bb7ff39f4346f0e23a0493409b31c2b&h=libreoffice-5-1

tdf#85767 Enable rotated/flipped icons in the Sidebar

It will be available in 5.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Robinson Tryon (qubit) 2015-12-18 10:57:57 UTC
Migrating Whiteboard tags to Keywords: (text:RTL)
[NinjaEdit]